//go:build 386 || arm || mips || mipsle

package yu_rand

// Int
//
//	@Description: 返回一个非负伪随机 31 位整数
func Int() int {
	return int(Uint32() & (1<<31 - 1))
}

// Intn
//
//	@Description: 函数返回一个在[0,n)范围内的伪随机int值。
func Intn(n int) int {
	if n <= 0 {
		panic("参数无效") // 如果n小于等于0，抛出异常
	}
	return int(Int31n(int32(n))) // 返回Int31n的结果
}
